org.apache.cassandra.net

## Interface IAsyncResult<T>

- All Superinterfaces:
    IMessageCallback

      public interface IAsyncResult<T>
      extends IMessageCallback

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get(long timeout, java.util.concurrent.TimeUnit tu)` Same operation as the above get() but allows the calling thread to specify a timeout.
    `java.net.InetAddress` | `getFrom()`
    `void` | `result(MessageIn<T> result)` Store the result obtained for the submitted task.

    - ### Methods inherited from interface org.apache.cassandra.net.IMessageCallback

      `isLatencyForSnitch`

- - ### Method Detail

    - #### get

          T get(long timeout,
              java.util.concurrent.TimeUnit tu)
                throws java.util.concurrent.TimeoutException

      Same operation as the above get() but allows the calling thread to specify a timeout.
      Parameters:
        `timeout` - the maximum time to wait
        `tu` - the time unit of the timeout argument
      Returns:
        the result wrapped in an Object[]
      Throws:
        `java.util.concurrent.TimeoutException`

    - #### result

          void result(MessageIn<T> result)

      Store the result obtained for the submitted task.
      Parameters:
        `result` - the response message

    - #### getFrom

          java.net.InetAddress getFrom()

Copyright © 2014 The Apache Software Foundation